Bug 1374798 - Jenkins job for creating a release tarball fails, release of glusterfs-3.8.4 blocked
Summary: Jenkins job for creating a release tarball fails, release of glusterfs-3.8.4 ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-09 16:34 UTC by Niels de Vos
Modified: 2016-09-14 14:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-14 14:07:45 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Niels de Vos 2016-09-09 16:34:08 UTC
Description of problem:
It seems that our release job suddenly fails. Some packages are missing on the main build.gluster.org system :-/

See https://build.gluster.org/job/release/169/console for the result.

Version-Release number of selected component (if applicable):
build.gluster.org on Friday 9 September 2016

How reproducible:
tried 1x

Steps to Reproduce:
1. go to https://build.gluster.org/job/release/build
2. refspec = v3.8.4, and version = 3.8.4
3. click build

Actual results:
build failed

Expected results:
tarball should be generated and posted on download.gluster.org

Additional info:
This blocks the release of glusterfs-3.8.4.

Comment 1 Michael S. 2016-09-09 16:38:38 UTC
So I installed libxml2-devel, but we need to stop running job on the master, that's problematic from a security point of view.

Comment 2 Niels de Vos 2016-09-09 16:42:10 UTC
thanks, https://build.gluster.org/job/release/170/console was successful now.

Comment 3 Nigel Babu 2016-09-14 14:07:45 UTC
Perhaps we need to replan how this job works. I'd like to be able to run test runs of releases so we do not have surprises just before the real release.

Anyway, closing this bug as resolved.


Note You need to log in before you can comment on or make changes to this bug.